Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::invalid_url Class Reference

Thrown when parsing a URI fails. More...

`#include <openvrml/bad_url.h>`

Inheritance diagram for openvrml::invalid_url:
[legend]

List of all members.

## Public Member Functions

| invalid_url ()
| Construct.
virtual | ~invalid_url () throw ()
| Destroy.

## Detailed Description

Thrown when parsing a URI fails.

## Constructor & Destructor Documentation

openvrml::invalid_url::invalid_url | ( |  | ) |

Construct.

openvrml::invalid_url::~invalid_url | ( |  | ) | throw ()`[virtual]`

Destroy.